import { NativeModules, Platform } from "react-native";
const {
  NavigationBarColor
} = NativeModules;
const changeNavigationBarColor = async (color = String, light = false, animated = true) => {
  if (Platform.OS === "android") {
    const LightNav = light ? true : false;
    return NavigationBarColor.changeNavigationBarColor(color, LightNav, animated);
  }
  return Promise.reject(new Error("unsupported platform"));
};
const hideNavigationBar = async () => {
  if (Platform.OS === "android") {
    return NavigationBarColor.hideNavigationBar();
  }
  return Promise.reject(new Error("unsupported platform"));
};
const showNavigationBar = async () => {
  if (Platform.OS === "android") {
    return NavigationBarColor.showNavigationBar();
  }
  return Promise.reject(new Error("unsupported platform"));
};
export default changeNavigationBarColor;
export { hideNavigationBar, showNavigationBar };
//# sourceMappingURL=index.js.map